<?php
/**
 * Archive Main File.
 *
 * @package VICODIN
 * @author  Themexriver
 * @version 1.0
 */

get_header();
global $wp_query;
$data  = \VICODIN\Includes\Classes\Common::instance()->data( 'category' )->get();
$layout = $data->get( 'layout' );
$sidebar = $data->get( 'sidebar' );
$layout = ( $layout ) ? $layout : 'right';
$sidebar = ( $sidebar ) ? $sidebar : 'default-sidebar';
if (is_active_sidebar( $sidebar )) {$layout = 'right';} else{$layout = 'full';}
$class = ( !$layout || $layout == 'full' ) ? 'col-xs-12 col-sm-12 col-md-12' : 'col-lg-8 col-md-12 col-sm-12';
if ( class_exists( '\Elementor\Plugin' ) AND $data->get( 'tpl-type' ) == 'e' AND $data->get( 'tpl-elementor' ) ) {
	echo Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $data->get( 'tpl-elementor' ) );
} else {
	?>
	
    <?php if ( $data->get( 'enable_banner' ) ) : ?>
		<?php do_action( 'vicodin_banner', $data );?>
    <?php else:?>
     <!-- BREADCRUMB AREA START -->
    <div class="ltn__breadcrumb-area text-left bg-overlay-white-30 bg-image "  data-bs-bg="<?php echo esc_url( $data->get( 'banner' ) ); ?>">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="ltn__breadcrumb-inner">
                        <h1 class="page-title"><?php if( $data->get( 'title' ) ) echo wp_kses( $data->get( 'title' ), true ); else( get_the_title( ) ); ?></h1>
                        <div class="ltn__breadcrumb-list">
                            <ul>
                                <?php echo vicodin_the_breadcrumb(); ?>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- BREADCRUMB AREA END -->
    <?php endif;?>
    
     <!-- BLOG AREA START -->
        <div class="ltn__blog-area mb-120">
            <div class="container">
                <div class="row">
                <?php
                    if ( $data->get( 'layout' ) == 'left' ) {
                        do_action( 'vicodin_sidebar', $data );
                    }
                ?>
                 <div class="<?php echo esc_attr( $class ); ?>">
                     <div class="ltn__blog-list-wrap">
                        <div class="thm-unit-test">
                            
                            <?php
                                while ( have_posts() ) :
                                    the_post();
                                    vicodin_template_load( 'templates/blog/blog.php', compact( 'data' ) );
                                endwhile;
                                wp_reset_postdata();
                            ?>
                                
                        </div>
                        
                        <!--Pagination-->
                        <div class="pagination-wrapper">
                            <?php vicodin_the_pagination( $wp_query->max_num_pages );?>
                        </div>
                    </div>
                </div>
                <?php
                    if ( $data->get( 'layout' ) == 'right' ) {
                        do_action( 'vicodin_sidebar', $data );
                    }
                ?>
            </div>
        </div>
    </div> 
    <!--End blog area--> 
	<?php
}
get_footer();
