<?php
return array(
	'title'      => esc_html__( 'Header Setting', 'vicodin' ),
	'id'         => 'headers_setting',
	'desc'       => '',
	'subsection' => false,
	'fields'     => array(
		array(
			'id'      => 'header_source_type',
			'type'    => 'button_set',
			'title'   => esc_html__( 'Header Source Type', 'vicodin' ),
			'options' => array(
				'd' => esc_html__( 'Default', 'vicodin' ),
				'e' => esc_html__( 'Elementor', 'vicodin' ),
			),
			'default' => 'd',
		),
		array(
			'id'       => 'header_elementor_template',
			'type'     => 'select',
			'title'    => __( 'Template', 'vicodin' ),
			'data'     => 'posts',
			'args'     => [
				'post_type' => [ 'elementor_library' ],
				'posts_per_page'	=> -1
			],
			'required' => [ 'header_source_type', '=', 'e' ],
		),
		array(
			'id'       => 'header_style_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Settings', 'vicodin' ),
			'required' => array( 'header_source_type', '=', 'd' ),
		),

		//Header Settings
		array(
		    'id'       => 'header_style_settings',
		    'type'     => 'image_select',
		    'title'    => esc_html__( 'Choose Header Styles', 'vicodin' ),
		    'subtitle' => esc_html__( 'Choose Header Styles', 'vicodin' ),
		    'options'  => array(

			    'header_v1'  => array(
				    'alt' => esc_html__( 'Header Style 1', 'vicodin' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/header/header_v1.png',
			    ),
			    'header_v2'  => array(
				    'alt' => esc_html__( 'Header Style 2', 'vicodin' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/header/header_v2.png',
			    ),
				'header_v3'  => array(
				    'alt' => esc_html__( 'Header Style 3', 'vicodin' ),
				    'img' => get_template_directory_uri() . '/assets/images/redux/header/header_v3.png',
			    ),
			),
			'required' => array( 'header_source_type', '=', 'd' ),
			'default' => 'header_v1',
	    ),

		/***********************************************************************
								Header Version 1 Start
		************************************************************************/
		array(
			'id'       => 'header_v1_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Style One Settings', 'vicodin' ),
			'required' => array( 'header_style_settings', '=', 'header_v1' ),
		),
		array(
            'id' => 'show_topbar_v1',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Header Topbar', 'vicodin'),
            'default' => true,
            'required' => array( 'header_style_settings', '=', 'header_v1' ),
        ),
		array(
			'id'      => 'address_v1',
			'type'    => 'text',
			'title'   => __( 'Address', 'vicodin' ),
			'required' => array( 'show_topbar_v1', '=', true ),
		),
		array(
			'id'      => 'email_address_v1',
			'type'    => 'text',
			'title'   => __( 'Email Address', 'vicodin' ),
			'required' => array( 'show_topbar_v1', '=', true ),
		),
		array(
            'id' => 'show_social_share_v1',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Order Social Icons', 'vicodin'),
            'default' => true,
			'required' => array( 'show_topbar_v1', '=', true ),
        ),
		array(
            'id'    => 'header_social_share_v1',
            'type'  => 'social_media',
            'title' => esc_html__( 'Header Social Media', 'vicodin' ),
            'required' => array( 'show_social_share_v1', '=', true ),
        ),
		array(
            'id' => 'show_seach_form_v1',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Search Form', 'vicodin'),
            'default' => true,
            'required' => array( 'header_style_settings', '=', 'header_v1' ),
        ),
		array(
            'id' => 'show_my_account_info_v1',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable My Account Button', 'vicodin'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v1' ),
        ),
		array(
			'id'      => 'my_account_title_v1',
			'type'    => 'text',
			'title'   => __( 'My Account Button Title', 'vicodin' ),
			'required' => array( 'show_my_account_info_v1', '=', true ),
		),
		array(
			'id'      => 'my_account_link_v1',
			'type'    => 'text',
			'title'   => __( 'My Account Button Link', 'vicodin' ),
			'required' => array( 'show_my_account_info_v1', '=', true ),
		),
		array(
            'id' => 'show_shopping_cart_icon_v1',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Cart Icon', 'vicodin'),
            'default' => true,
            'required' => array( 'header_style_settings', '=', 'header_v1' ),
        ),
		array(
            'id' => 'show_mobile_social_share_v1',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Order Social Icons', 'vicodin'),
            'default' => true,
            'required' => array( 'header_style_settings', '=', 'header_v1' ),
        ),
		array(
            'id'    => 'mobile_social_share_v1',
            'type'  => 'social_media',
            'title' => esc_html__( 'Mobile View Social Media', 'vicodin' ),
            'required' => array( 'show_mobile_social_share_v1', '=', true ),
        ),
		/***********************************************************************
								Header Version 2 Start
		************************************************************************/
		array(
			'id'       => 'header_v2_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Style Two Settings', 'vicodin' ),
			'required' => array( 'header_style_settings', '=', 'header_v2' ),
		),
		array(
            'id' => 'show_topbar_v2',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Header Topbar', 'vicodin'),
            'default' => true,
            'required' => array( 'header_style_settings', '=', 'header_v2' ),
        ),
        array(
			'id'      => 'email_address_v2',
			'type'    => 'text',
			'title'   => __( 'Email Address', 'vicodin' ),
			'required' => array( 'show_topbar_v2', '=', true ),
		),
		array(
			'id'      => 'address_v2',
			'type'    => 'text',
			'title'   => __( 'Address', 'vicodin' ),
			'required' => array( 'show_topbar_v2', '=', true ),
		),
		array(
            'id' => 'show_social_share_v2',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Order Social Icons', 'vicodin'),
            'default' => true,
			'required' => array( 'show_topbar_v2', '=', true ),
        ),
		array(
            'id'    => 'header_social_share_v2',
            'type'  => 'social_media',
            'title' => esc_html__( 'Header Social Media', 'vicodin' ),
            'required' => array( 'show_social_share_v2', '=', true ),
        ),
		array(
            'id' => 'show_seach_form_v2',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Search Form', 'vicodin'),
            'default' => true,
            'required' => array( 'header_style_settings', '=', 'header_v2' ),
        ),
		array(
            'id' => 'show_my_account_info_v2',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable My Account Button', 'vicodin'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v2' ),
        ),
		array(
			'id'      => 'my_account_title_v2',
			'type'    => 'text',
			'title'   => __( 'My Account Button Title', 'vicodin' ),
			'required' => array( 'show_my_account_info_v2', '=', true ),
		),
		array(
			'id'      => 'my_account_link_v2',
			'type'    => 'text',
			'title'   => __( 'My Account Button Link', 'vicodin' ),
			'required' => array( 'show_my_account_info_v2', '=', true ),
		),
		array(
            'id' => 'show_shopping_cart_icon_v2',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Cart Icon', 'vicodin'),
            'default' => true,
            'required' => array( 'header_style_settings', '=', 'header_v2' ),
        ),
		array(
            'id' => 'show_all_categories_v2',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Categories List', 'vicodin'),
            'default' => true,
            'required' => array( 'header_style_settings', '=', 'header_v2' ),
        ),
		array(
			'id'      => 'feature_list2',
			'type'    => 'textarea',
			'title'   => __( 'Categories Features List', 'vicodin' ),
            'required' => array( 'header_style_settings', '=', 'header_v2' ),
		),
        array(
			'id'      => 'phone_no_v2',
			'type'    => 'text',
			'title'   => __( 'Phone Number', 'vicodin' ),
            'required' => array( 'header_style_settings', '=', 'header_v2' ),
		),
		array(
            'id' => 'show_mobile_social_share_v2',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Order Social Icons', 'vicodin'),
            'default' => true,
            'required' => array( 'header_style_settings', '=', 'header_v2' ),
        ),
		array(
            'id'    => 'mobile_social_share_v2',
            'type'  => 'social_media',
            'title' => esc_html__( 'Mobile View Social Media', 'vicodin' ),
            'required' => array( 'show_mobile_social_share_v2', '=', true ),
        ),
        /***********************************************************************
								Header Version 3Start
		************************************************************************/
		array(
			'id'       => 'header_v3_settings_section_start',
			'type'     => 'section',
			'indent'      => true,
			'title'    => esc_html__( 'Header Style Three Settings', 'vicodin' ),
			'required' => array( 'header_style_settings', '=', 'header_v3' ),
		),
		array(
            'id' => 'show_topbar_v3',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Header Topbar', 'vicodin'),
            'default' => true,
            'required' => array( 'header_style_settings', '=', 'header_v3' ),
        ),
        array(
			'id'      => 'email_address_v3',
			'type'    => 'text',
			'title'   => __( 'Email Address', 'vicodin' ),
			'required' => array( 'show_topbar_v3', '=', true ),
		),
		array(
			'id'      => 'address_v3',
			'type'    => 'text',
			'title'   => __( 'Address', 'vicodin' ),
			'required' => array( 'show_topbar_v3', '=', true ),
		),
		array(
            'id' => 'show_social_share_v3',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Order Social Icons', 'vicodin'),
            'default' => true,
			'required' => array( 'show_topbar_v3', '=', true ),
        ),
		array(
            'id'    => 'header_social_share_v3',
            'type'  => 'social_media',
            'title' => esc_html__( 'Header Social Media', 'vicodin' ),
            'required' => array( 'show_social_share_v3', '=', true ),
        ),
		array(
			'id'      => 'phone_title_v3',
			'type'    => 'text',
			'title'   => __( 'Phone Title', 'vicodin' ),
            'required' => array( 'header_style_settings', '=', 'header_v3' ),
		),
        array(
			'id'      => 'phone_no_v3',
			'type'    => 'text',
			'title'   => __( 'Phone Number', 'vicodin' ),
            'required' => array( 'header_style_settings', '=', 'header_v3' ),
		),
		array(
            'id' => 'show_seach_form_v3',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Search Form', 'vicodin'),
            'default' => true,
            'required' => array( 'header_style_settings', '=', 'header_v3' ),
        ),
		array(
            'id' => 'show_my_account_info_v3',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable My Account Button', 'vicodin'),
            'default' => false,
            'required' => array( 'header_style_settings', '=', 'header_v3' ),
        ),
		array(
			'id'      => 'my_account_title_v3',
			'type'    => 'text',
			'title'   => __( 'My Account Button Title', 'vicodin' ),
			'required' => array( 'show_my_account_info_v3', '=', true ),
		),
		array(
			'id'      => 'my_account_link_v3',
			'type'    => 'text',
			'title'   => __( 'My Account Button Link', 'vicodin' ),
			'required' => array( 'show_my_account_info_v3', '=', true ),
		),
		array(
            'id' => 'show_shopping_cart_icon_v3',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Cart Icon', 'vicodin'),
            'default' => true,
            'required' => array( 'header_style_settings', '=', 'header_v3' ),
        ),
		array(
            'id' => 'show_mobile_social_share_v3',
            'type' => 'switch',
            'title' => esc_html__('Enable/Disable Order Social Icons', 'vicodin'),
            'default' => true,
            'required' => array( 'header_style_settings', '=', 'header_v3' ),
        ),
		array(
            'id'    => 'mobile_social_share_v3',
            'type'  => 'social_media',
            'title' => esc_html__( 'Mobile View Social Media', 'vicodin' ),
            'required' => array( 'show_mobile_social_share_v3', '=', true ),
        ),
		array(
			'id'       => 'header_style_section_end',
			'type'     => 'section',
			'indent'      => false,
			'required' => [ 'header_source_type', '=', 'd' ],
		),
	),
);
