<?php
return array(
	'title'      => esc_html__( 'Logo Setting', 'vicodin' ),
	'id'         => 'logo_setting',
	'desc'       => '',
	'subsection' => false,
	'fields'     => array(
		array(
			'id'       => 'image_favicon',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Favicon', 'vicodin' ),
			'subtitle' => esc_html__( 'Insert site favicon image', 'vicodin' ),
			'default'  => array( 'url' => get_template_directory_uri() . '/assets/images/favicon.png' ),
		),
		array(
            'id' => 'light_logo_show',
            'type' => 'switch',
            'title' => esc_html__('Enable Light Color Logo', 'vicodin'),
            'default' => true,
        ),
		array(
			'id'       => 'light_logo',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Light Logo Image', 'vicodin' ),
			'subtitle' => esc_html__( 'Insert site Light logo image', 'vicodin' ),
			'required' => array( 'light_logo_show', '=', true ),
		),
		array(
			'id'       => 'light_logo_dimension',
			'type'     => 'dimensions',
			'title'    => esc_html__( 'Light Logo Dimentions', 'vicodin' ),
			'subtitle' => esc_html__( 'Select Light Logo Dimentions', 'vicodin' ),
			'units'    => array( 'em', 'px', '%' ),
			'default'  => array( 'Width' => '', 'Height' => '' ),
			'required' => array( 'light_logo_show', '=', true ),
		),
		array(
            'id' => 'dark_logo_show',
            'type' => 'switch',
            'title' => esc_html__('Enable Light Color Logo', 'vicodin'),
            'default' => true,
        ),
		array(
			'id'       => 'dark_logo',
			'type'     => 'media',
			'url'      => true,
			'title'    => esc_html__( 'Dark Logo Image', 'vicodin' ),
			'subtitle' => esc_html__( 'Insert site Dark logo image', 'vicodin' ),
			'required' => array( 'dark_logo_show', '=', true ),
		),
		array(
			'id'       => 'dark_logo_dimension',
			'type'     => 'dimensions',
			'title'    => esc_html__( 'Dark Logo Dimentions', 'vicodin' ),
			'subtitle' => esc_html__( 'Select Dark Logo Dimentions', 'vicodin' ),
			'units'    => array( 'em', 'px', '%' ),
			'default'  => array( 'Width' => '', 'Height' => '' ),
			'required' => array( 'dark_logo_show', '=', true ),
		),
		array(
			'id'       => 'logo_settings_section_end',
			'type'     => 'section',
			'indent'      => false,
		),
	),
);
