<?php get_header();
$data = \VICODIN\Includes\Classes\Common::instance()->data('single-team')->get(); 
$show_team_contact_form = get_post_meta(get_the_id(), 'show_team_contact_form', true);
?>

 <!-- BREADCRUMB AREA START -->
<div class="ltn__breadcrumb-area text-left bg-overlay-white-30 bg-image "  data-bs-bg="<?php echo esc_url( $data->get( 'banner' ) ); ?>">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="ltn__breadcrumb-inner">
                    <h1 class="page-title"><?php if( $data->get( 'title' ) ) echo wp_kses( $data->get( 'title' ), true ); else( the_title( ) ); ?></h1>
                    <div class="ltn__breadcrumb-list">
                        <ul>
                            <?php echo vicodin_the_breadcrumb(); ?>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- BREADCRUMB AREA END -->

<?php while (have_posts()) : the_post(); ?>

<!--
=====================================================
    Team Details
=====================================================
-->

<!-- TEAM DETAILS AREA START -->
<div class="ltn__team-details-area mb-120">
    <div class="container">
        <div class="row">
            <div class="col-lg-4">
                <div class="ltn__team-details-member-info text-center mb-40">
                    <?php if(has_post_thumbnail()){?>
                    <div class="team-details-img">
                        <?php the_post_thumbnail('vicodin_350x350'); ?>
                    </div>
                    <?php } ?>
                    <h2><?php the_title(); ?></h2>
                    <h6 class="text-uppercase ltn__secondary-color"><?php echo (get_post_meta( get_the_id(), 'designation', true ));?></h6>
                    <div class="ltn__social-media-3">
						<?php
                        $icons = get_post_meta( get_the_id(), 'social_profile', true );
                        if ( ! empty( $icons ) ) :
                        ?>
                          <ul>
                            <?php
                            foreach ( $icons as $h_icon ) :
                            $header_social_icons = json_decode( urldecode( vicodin_set( $h_icon, 'data' ) ) );
                            if ( vicodin_set( $header_social_icons, 'enable' ) == '' ) {
                                continue;
                            }
                            $icon_class = explode( '-', vicodin_set( $header_social_icons, 'icon' ) );
                            ?>
                                    <li><a href="<?php echo esc_url(vicodin_set( $header_social_icons, 'url' )); ?>" <?php if( vicodin_set( $header_social_icons, 'background' ) || vicodin_set( $header_social_icons, 'color' ) ):?>style="background-color:<?php echo esc_attr(vicodin_set( $header_social_icons, 'background' )); ?>; color: <?php echo esc_attr(vicodin_set( $header_social_icons, 'color' )); ?>"<?php endif;?>><i class="fab <?php echo esc_attr( vicodin_set( $header_social_icons, 'icon' ) ); ?>"></i></a></li>
                            <?php endforeach; ?>
                         </ul>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
            <div class="col-lg-8">
                <?php the_content();?> 
            	<div class="clearfix"></div>
            	<?php if($show_team_contact_form): ?>
                <div class="ltn__form-box contact-form-box box-shadow white-bg mt-50">
                    <h4 class="title-2"><?php echo (get_post_meta( get_the_id(), 'contact_form_title', true ));?></h4>
                    <?php echo do_shortcode(get_post_meta( get_the_id(), 'team_contact_form_url', true ));?>
                </div>
                <?php endif; ?>
            </div>
        </div>
    </div>
</div>
<!-- TEAM DETAILS AREA END -->

<?php endwhile; ?>




<?php get_footer(); ?>