<?php
/**
 * Blog Post Main File.
 *
 * @package VICODIN
 * @author  Themexriver
 * @version 1.0
 */

get_header();
$options = vicodin_WSH()->option();

$data    = \VICODIN\Includes\Classes\Common::instance()->data( 'single' )->get();
$layout = $data->get( 'layout' );
$sidebar = $data->get( 'sidebar' );
if (is_active_sidebar( $sidebar )) {$layout = 'right';} else{$layout = 'full';}
$class = ( !$layout || $layout == 'full' ) ? 'col-xs-12 col-sm-12 col-md-12 col-lg-12' : 'col-lg-8 col-md-12 col-sm-12';


if ( class_exists( '\Elementor\Plugin' ) && $data->get( 'tpl-type' ) == 'e') {
	
	while(have_posts()) {
	   the_post();
	   the_content();
    }

} else {
?>

<?php if ( $data->get( 'enable_banner' ) ) : ?>
	<?php do_action( 'vicodin_banner', $data );?>
<?php else:?>
<!-- Page Title -->
<section class="page-title centred" style="background-image: url('<?php echo esc_url( $data->get( 'banner' ) ); ?>');">
    <div class="auto-container">
        <div class="content-box">
            <div class="title">
                <h1><?php if( $data->get( 'title' ) ) echo wp_kses( $data->get( 'title' ), true ); else( the_title( '' ) ); ?></h1>
            </div>
            <ul class="bread-crumb clearfix">
                 <?php echo vicodin_the_breadcrumb(); ?>
            </ul>
        </div>
    </div>
</section>
<!-- End Page Title -->
<?php endif;?>

<!--Start Blog Details Area-->
<div class="ltn__page-details-area ltn__blog-details-area mb-120">
    <div class="container">
        <div class="row">
        	<?php
				if ( $data->get( 'layout' ) == 'left' ) {
					do_action( 'vicodin_sidebar', $data );
				}
			?>
            <div class="<?php echo esc_attr( $class ); ?>">
            	
				<?php while ( have_posts() ) : the_post(); ?>
				
                <div class="ltn__blog-details-wrap">
                	
                    <div class="thm-unit-test">    
                        <div class="ltn__page-details-inner ltn__blog-details-inner">
                            <div class="ltn__blog-meta">
                                <ul>
                                    <li class="ltn__blog-category">
                                       <?php the_category(' '); ?>
                                    </li>
                                </ul>
                            </div>
                            <div class="ltn__blog-meta">
                                <ul>
                                    <li class="ltn__blog-author">
                                        <a href="<?php echo esc_url(get_author_posts_url( get_the_author_meta('ID') )); ?>"><?php echo get_avatar(get_the_author_meta('ID'), 30); ?><?php esc_html_e('By:', 'vicodin'); ?> <?php the_author(); ?></a>
                                    </li>
                                    <li class="ltn__blog-date">
                                        <i class="far fa-calendar-alt"></i><?php echo get_the_date('M'); ?> <?php echo get_the_date('d'); ?>, <?php echo get_the_date('Y'); ?>
                                    </li>
                                    <li>
                                        <a href="<?php echo esc_url(get_permalink(get_the_id()).'#comments'); ?>"><i class="far fa-comments"></i><?php comments_number( wp_kses(__('0 Comments' , 'vicodin'), true), wp_kses(__('1 Comment' , 'vicodin'), true), wp_kses(__('% Comments' , 'vicodin'), true)); ?></a>
                                    </li>
                                </ul>
                            </div>
                            
                            <div class="text"><?php the_content(); ?></div>
                            <div class="clearfix"></div>
                            <?php wp_link_pages(array('before'=>'<div class="paginate-links m-t30">'.esc_html__('Pages: ', 'vicodin'), 'after' => '</div>', 'link_before'=>'<span>', 'link_after'=>'</span>')); ?>

                        </div>
                        <?php if(function_exists('bunch_share_us_two') || has_tag()):?>
                        <!-- blog-tags-social-media -->
                        <div class="ltn__blog-tags-social-media mt-80 row">
                             <?php if(has_tag()){ ?>
                            <div class="ltn__tagcloud-widget col-lg-8">
                                <h4><?php esc_html_e('Releted Tags', 'vicodin'); ?></h4>
                                <ul>
                                     <?php the_tags( '<li>', '</li><li> ', '</li>' ); ?>
                                </ul>
                            </div>
                            <?php } ?>
                            
                           <?php if(function_exists('bunch_share_us_two')){?>
                            <div class="ltn__social-media text-right text-end col-lg-4">
                                <h4><?php esc_html_e('Social Share', 'vicodin'); ?></h4>
								<?php echo wp_kses(bunch_share_us_two(get_the_id(),$post->post_name ), true);?>
                            </div>
                            <?php } ?>
                        </div>
                        <hr>
                        <?php endif;?>
						<?php if((get_previous_post()) || (get_next_post())): ?>
                        <!-- prev-next-btn -->
                        <div class="ltn__prev-next-btn row mb-50">
                            <?php global $post; $prev_post = get_previous_post();
								if (!empty($prev_post)):
								$post_thumbnail_id = get_post_thumbnail_id($prev_post->ID);
								$post_thumbnail_url = wp_get_attachment_url( $post_thumbnail_id );
							?>
                            <div class="blog-prev col-lg-6">
                                <h6><?php esc_html_e('Prev Post', 'vicodin'); ?></h6>
                                <h3 class="ltn__blog-title"><a href="<?php echo esc_url(get_permalink($prev_post->ID)); ?>"><?php echo wp_kses_post($prev_post->post_title); ?></a></h3>
                            </div>
                            <?php endif ?>
                            
                             <?php global $post; $next_post = get_next_post();
								if (!empty($next_post)):
								$post_thumbnail_ids = get_post_thumbnail_id($next_post->ID);
								$post_thumbnail_urls = wp_get_attachment_url( $post_thumbnail_ids );
							?>
                            <div class="blog-prev blog-next text-right text-end col-lg-6">
                                <h6><?php esc_html_e('Next Post', 'vicodin'); ?></h6>
                                <h3 class="ltn__blog-title"><a href="<?php echo esc_url(get_permalink($next_post->ID)); ?>"><?php echo wp_kses_post($next_post->post_title); ?></a></h3>
                            </div>
                            <?php endif ?>
                        </div>
                        <?php endif;?>
                        
						<?php if( $options->get( 'single_post_author_box' ) ):?>
                        <div class="ltn-author-introducing clearfix">
                            <?php if($avatar = get_avatar(get_the_author_meta('ID')) !== FALSE): ?>
                            <div class="author-img">
                                <?php echo get_avatar(get_the_author_meta('ID'), 180); ?>
                            </div>
                            <?php endif; ?>
                            <div class="author-info">
                                <h6><?php esc_html_e('Written by', 'vicodin'); ?></h6>
                                <h2><?php the_author(); ?></h2>
                                <p><?php the_author_meta( 'description', get_the_author_meta('ID') ); ?></p>
                            </div>
                        </div>
                   		<?php endif; ?>	
                     
                                        
                        <!--End post-details-->
                        <?php comments_template(); ?>
                    
                	</div>
					<!--End thm-unit-test-->
                </div>
                <!--End blog details-->
				<?php endwhile; ?>
                
            </div>
        	<?php
				if ( $data->get( 'layout' ) == 'right' ) {
					do_action( 'vicodin_sidebar', $data );
				}
			?>
        </div>
    </div>
</div>
<!--End blog area--> 

<?php
}
get_footer();
