<?php

/**
 * Blog Content Template
 *
 * @package    WordPress
 * @subpackage VICODIN
 * @author     Themexriver
 * @version    1.0
 */

if (class_exists('Erdunt_Resizer')) {
    $img_obj = new Erdunt_Resizer();
} else {
    $img_obj = array();
}
$options = vicodin_WSH()->option();
$allowed_tags = wp_kses_allowed_html('post');

global $post;
$post_thumbnail_id = get_post_thumbnail_id($post->ID);
$post_thumbnail_url = wp_get_attachment_url($post_thumbnail_id);

?>


<div <?php post_class(); ?>>
	
    <?php
		$format = get_post_format(get_the_id());
		if ($format == 'video') :
	?>
    <!-- Blog Item (Video) -->
    <div class="ltn__blog-item ltn__blog-item-5 ltn__blog-item-video">
        <?php if(has_post_thumbnail()){ ?>
        <div class="ltn__video-img">
            <?php the_post_thumbnail('vicodin_1170x440'); ?>
            <a class="ltn__video-icon-2 ltn__secondary-bg ltn__video-icon-2-border---" href="<?php echo (get_post_meta(get_the_id(), 'video_link', true)); ?>"  data-rel="lightcase:myCollection">
                <i class="fa fa-play"></i>
            </a>
        </div>
        <?php } ?>
        <div class="ltn__blog-brief">
            <div class="ltn__blog-meta">
                <ul>
                    <li class="ltn__blog-category">
                        <?php the_category(' '); ?>
                    </li>
                </ul>
            </div>
            <h3 class="ltn__blog-title"><a href="<?php echo esc_url( the_permalink( get_the_id() ) );?>"><?php the_title(); ?></a></h3>
            <div class="ltn__blog-meta">
                <ul>
                    <li>
                        <a href="<?php echo esc_url(get_permalink(get_the_id()).'#comments'); ?>"><i class="far fa-comments"></i><?php comments_number( wp_kses(__('0 Comments' , 'vicodin'), true), wp_kses(__('1 Comment' , 'vicodin'), true), wp_kses(__('% Comments' , 'vicodin'), true)); ?></a>
                    </li>
                    <li class="ltn__blog-date">
                        <i class="far fa-calendar-alt"></i><?php echo get_the_date('M'); ?> <?php echo get_the_date('d'); ?>, <?php echo get_the_date('Y'); ?>
                    </li>
                </ul>
            </div>
            <?php the_excerpt(); ?>
            <div class="ltn__blog-meta-btn">
                <div class="ltn__blog-meta">
                    <ul>
                        <?php if( $options->get( 'blog_post_author' ) ){ ?>
                        <li class="ltn__blog-author">
                            <a href="<?php echo esc_url(get_author_posts_url( get_the_author_meta('ID') )); ?>"><?php echo get_avatar(get_the_author_meta('ID'), 40); ?><?php esc_html_e('By:', 'vicodin'); ?> <?php the_author(); ?></a>
                        </li>
                        <?php } ?>
                    </ul>
                </div>
                <div class="ltn__blog-btn">
                    <a href="<?php echo esc_url( the_permalink( get_the_id() ) );?>"><i class="fas fa-arrow-right"></i><?php esc_html_e('Read more', 'vicodin'); ?></a>
                </div>
            </div>
        </div>
    </div>
    
    
    <?php elseif ($format == 'gallery') : ?>
   	 <!-- Blog Item (Gallery) -->
    <div class="ltn__blog-item ltn__blog-item-5 ltn__blog-item-gallery">
        <div class="ltn__blog-gallery-active slick-arrow-1 slick-arrow-1-inner">
            <?php $gall_images = (get_post_meta(get_the_id(), 'gallery_imgs', true));
				$gall_images = explode(',', $gall_images);
				if ($gall_images) :
				foreach ($gall_images as $gall) :
			?>
            <div class="ltn__blog-gallery-item">
                <a href="<?php echo esc_url( the_permalink( get_the_id() ) );?>"><?php echo wp_get_attachment_image($gall, 'full');  ?></a>
            </div>
            <?php endforeach; endif; ?>
        </div>
        <div class="ltn__blog-brief">
            <div class="ltn__blog-meta">
                <ul>
                    <li class="ltn__blog-category">
                        <?php the_category(' '); ?>
                    </li>
                </ul>
            </div>
            <h3 class="ltn__blog-title"><a href="<?php echo esc_url( the_permalink( get_the_id() ) );?>"><?php the_title(); ?></a></h3>
            <div class="ltn__blog-meta">
                <ul>
                    <li>
                        <a href="<?php echo esc_url(get_permalink(get_the_id()).'#comments'); ?>"><i class="far fa-comments"></i><?php comments_number( wp_kses(__('0 Comments' , 'vicodin'), true), wp_kses(__('1 Comment' , 'vicodin'), true), wp_kses(__('% Comments' , 'vicodin'), true)); ?></a>
                    </li>
                    <li class="ltn__blog-date">
                        <i class="far fa-calendar-alt"></i><?php echo get_the_date('M'); ?> <?php echo get_the_date('d'); ?>, <?php echo get_the_date('Y'); ?>
                    </li>
                </ul>
            </div>
            <?php the_excerpt(); ?>
            <div class="ltn__blog-meta-btn">
                <div class="ltn__blog-meta">
                    <ul>
                        <?php if( $options->get( 'blog_post_author' ) ){ ?>
                        <li class="ltn__blog-author">
                            <a href="<?php echo esc_url(get_author_posts_url( get_the_author_meta('ID') )); ?>"><?php echo get_avatar(get_the_author_meta('ID'), 40); ?><?php esc_html_e('By:', 'vicodin'); ?> <?php the_author(); ?></a>
                        </li>
                        <?php } ?>
                    </ul>
                </div>
                <div class="ltn__blog-btn">
                    <a href="<?php echo esc_url( the_permalink( get_the_id() ) );?>"><i class="fas fa-arrow-right"></i><?php esc_html_e('Read more', 'vicodin'); ?></a>
                </div>
            </div>
        </div>
    </div>
   
    
    
	<?php elseif ($format == 'audio') : ?>
   
   <!-- Blog Item (Audio) -->
    <div class="ltn__blog-item ltn__blog-item-5 ltn__blog-item-audio">
        <div class="post-audio embed-responsive embed-responsive-16by9">
            <iframe src="<?php echo (get_post_meta(get_the_id(), 'audio_link', true)); ?>"></iframe>
            
        </div>
        <div class="ltn__blog-brief">
            <div class="ltn__blog-meta">
                <ul>
                    <li class="ltn__blog-category">
                        <?php the_category(' '); ?>
                    </li>
                </ul>
            </div>
            <h3 class="ltn__blog-title"><a href="<?php echo esc_url( the_permalink( get_the_id() ) );?>"><?php the_title(); ?></a></h3>
            <div class="ltn__blog-meta">
                <ul>
                    <li>
                        <a href="<?php echo esc_url(get_permalink(get_the_id()).'#comments'); ?>"><i class="far fa-comments"></i><?php comments_number( wp_kses(__('0 Comments' , 'vicodin'), true), wp_kses(__('1 Comment' , 'vicodin'), true), wp_kses(__('% Comments' , 'vicodin'), true)); ?></a>
                    </li>
                    <li class="ltn__blog-date">
                        <i class="far fa-calendar-alt"></i><?php echo get_the_date('M'); ?> <?php echo get_the_date('d'); ?>, <?php echo get_the_date('Y'); ?>
                    </li>
                </ul>
            </div>
            <?php the_excerpt(); ?>
            <div class="ltn__blog-meta-btn">
                <div class="ltn__blog-meta">
                    <ul>
                         <?php if( $options->get( 'blog_post_author' ) ){ ?>
                        <li class="ltn__blog-author">
                            <a href="<?php echo esc_url(get_author_posts_url( get_the_author_meta('ID') )); ?>"><?php echo get_avatar(get_the_author_meta('ID'), 40); ?><?php esc_html_e('By:', 'vicodin'); ?> <?php the_author(); ?></a>
                        </li>
                        <?php } ?>
                    </ul>
                </div>
                <div class="ltn__blog-btn">
                    <a href="<?php echo esc_url( the_permalink( get_the_id() ) );?>"><i class="fas fa-arrow-right"></i><?php esc_html_e('Read more', 'vicodin'); ?></a>
                </div>
            </div>
        </div>
    </div>
   
   
   <?php elseif ($format == 'chat') : ?>
   
   
    <!-- Blog Item (No Image) -->
    <div class="ltn__blog-item ltn__blog-item-5 ltn__blog-item-no-image">
        <div class="ltn__blog-brief">
            <div class="ltn__blog-meta">
                <ul>
                    <li class="ltn__blog-category">
                        <?php the_category(' '); ?>
                    </li>
                </ul>
            </div>
            <h3 class="ltn__blog-title"><a href="<?php echo esc_url( the_permalink( get_the_id() ) );?>"><?php the_title(); ?></a></h3>
            <div class="ltn__blog-meta">
                <ul>
                    <li>
                        <a href="<?php echo esc_url(get_permalink(get_the_id()).'#comments'); ?>"><i class="far fa-comments"></i><?php comments_number( wp_kses(__('0 Comments' , 'vicodin'), true), wp_kses(__('1 Comment' , 'vicodin'), true), wp_kses(__('% Comments' , 'vicodin'), true)); ?></a>
                    </li>
                    <li class="ltn__blog-date">
                        <i class="far fa-calendar-alt"></i><?php echo get_the_date('M'); ?> <?php echo get_the_date('d'); ?>, <?php echo get_the_date('Y'); ?>
                    </li>
                </ul>
            </div>
            <?php the_excerpt(); ?>
            <div class="ltn__blog-meta-btn">
                <div class="ltn__blog-meta">
                    <ul>
                       <?php if( $options->get( 'blog_post_author' ) ){ ?>
                        <li class="ltn__blog-author">
                            <a href="<?php echo esc_url(get_author_posts_url( get_the_author_meta('ID') )); ?>"><?php echo get_avatar(get_the_author_meta('ID'), 40); ?><?php esc_html_e('By:', 'vicodin'); ?> <?php the_author(); ?></a>
                        </li>
                        <?php } ?>
                    </ul>
                </div>
                <div class="ltn__blog-btn">
                    <a href="<?php echo esc_url( the_permalink( get_the_id() ) );?>"><i class="fas fa-arrow-right"></i><?php esc_html_e('Read more', 'vicodin'); ?></a>
                </div>
            </div>
        </div>
    </div>
    
    
    
    <?php elseif ($format == 'quote') : ?>
    
    <!-- Blog Item (Quote) -->
    <div class="ltn__blog-item ltn__blog-item-5 ltn__blog-item-quote bg-image bg-overlay-theme-90" data-bs-bg="<?php echo esc_url($post_thumbnail_url); ?>">
        <div class="ltn__blog-brief">
            <blockquote>
                <a href="<?php echo esc_url( the_permalink( get_the_id() ) );?>"><?php the_title(); ?></a>
            </blockquote>
            <div class="ltn__blog-meta mb-0">
                <ul>
                    <li>
                        <a href="<?php echo esc_url(get_permalink(get_the_id()).'#comments'); ?>"><i class="far fa-comments"></i><?php comments_number( wp_kses(__('0 Comments' , 'vicodin'), true), wp_kses(__('1 Comment' , 'vicodin'), true), wp_kses(__('% Comments' , 'vicodin'), true)); ?></a>
                    </li>
                    <li class="ltn__blog-date">
                        <i class="far fa-calendar-alt"></i><?php echo get_the_date('M'); ?> <?php echo get_the_date('d'); ?>, <?php echo get_the_date('Y'); ?>
                    </li>
                </ul>
            </div>
        </div>
    </div>
    
    <?php elseif ($format == 'aside') : ?>
    
    <!-- Blog Item (Background Image) -->
    <div class="ltn__blog-item ltn__blog-item-5 ltn__blog-item-bg-image bg-image bg-overlay-white-90" data-bs-bg="<?php echo esc_url($post_thumbnail_url); ?>">
        <div class="ltn__blog-brief">
            <div class="ltn__blog-meta">
                <ul>
                    <li class="ltn__blog-category">
                        <?php the_category(' '); ?>
                    </li>
                </ul>
            </div>
            <h3 class="ltn__blog-title"><a href="<?php echo esc_url( the_permalink( get_the_id() ) );?>"><?php the_title(); ?></a></h3>
            <div class="ltn__blog-meta mb-0">
                <ul>
                    <li>
                        <a href="<?php echo esc_url(get_permalink(get_the_id()).'#comments'); ?>"><i class="far fa-comments"></i><?php comments_number( wp_kses(__('0 Comments' , 'vicodin'), true), wp_kses(__('1 Comment' , 'vicodin'), true), wp_kses(__('% Comments' , 'vicodin'), true)); ?></a>
                    </li>
                    <li class="ltn__blog-date">
                        <i class="far fa-calendar-alt"></i><?php echo get_the_date('M'); ?> <?php echo get_the_date('d'); ?>, <?php echo get_the_date('Y'); ?>
                    </li>
                </ul>
            </div>
        </div>
    </div>
    
    
    <?php else: ?>
    
   <!-- Blog Item -->
    <div class="ltn__blog-item ltn__blog-item-5">
        <?php if(has_post_thumbnail()){ ?>
        <div class="ltn__blog-img">
           <?php the_post_thumbnail('vicodin_1170x440'); ?>
        </div>
        <?php } ?>
        <div class="ltn__blog-brief">
            <div class="ltn__blog-meta">
                <ul>
                    <li class="ltn__blog-category">
                        <?php the_category(' '); ?>
                    </li>
                </ul>
            </div>
            <h3 class="ltn__blog-title"><a href="<?php echo esc_url( the_permalink( get_the_id() ) );?>"><?php the_title(); ?></a></h3>
            <div class="ltn__blog-meta">
                <ul>
                    <li>
                        <a href="<?php echo esc_url(get_permalink(get_the_id()).'#comments'); ?>"><i class="far fa-comments"></i><?php comments_number( wp_kses(__('0 Comments' , 'vicodin'), true), wp_kses(__('1 Comment' , 'vicodin'), true), wp_kses(__('% Comments' , 'vicodin'), true)); ?></a>
                    </li>
                    <li class="ltn__blog-date">
                        <i class="far fa-calendar-alt"></i><?php echo get_the_date('M'); ?> <?php echo get_the_date('d'); ?>, <?php echo get_the_date('Y'); ?>
                    </li>
                </ul>
            </div>
           <?php the_excerpt(); ?>
            <div class="ltn__blog-meta-btn">
                <div class="ltn__blog-meta">
                    <ul>
                        <?php if( $options->get( 'blog_post_author' ) ){ ?>
                        <li class="ltn__blog-author">
                            <a href="<?php echo esc_url(get_author_posts_url( get_the_author_meta('ID') )); ?>"><?php echo get_avatar(get_the_author_meta('ID'), 40); ?><?php esc_html_e('By:', 'vicodin'); ?> <?php the_author(); ?></a>
                        </li>
                        <?php } ?>
                    </ul>
                </div>
                <div class="ltn__blog-btn">
                    <a href="<?php echo esc_url( the_permalink( get_the_id() ) );?>"><i class="fas fa-arrow-right"></i><?php esc_html_e('Read more', 'vicodin'); ?></a>
                </div>
            </div>
        </div>
    </div> 
    
    
	<?php endif; ?>   
    
</div>