<?php
$options = vicodin_WSH()->option();
$allowed_html = wp_kses_allowed_html( 'post' );

//Dark Color Logo Settings
$dark_logo = $options->get( 'dark_logo' );
$dark_logo_dimension = $options->get( 'dark_logo_dimension' );

//Light Color Logo Settings
$light_logo = $options->get( 'light_logo' );
$light_logo_dimension = $options->get( 'light_logo_dimension' );

$logo_type = '';
$logo_text = '';
$logo_typography = ''; ?>




	<!-- HEADER AREA START (header-5) -->
    <header class="ltn__header-area ltn__header-5 ltn__header-logo-and-mobile-menu-in-mobile--- ltn__header-logo-and-mobile-menu--- ltn__header-transparent gradient-color-4---">
         <?php if($options->get('show_topbar_v1')){ ?>
        <!-- ltn__header-top-area start -->
        <div class="ltn__header-top-area border-bottom top-area-color-white---">
            <div class="container">
                <div class="row">
                    <div class="col-md-7">
                        <div class="ltn__top-bar-menu">
                            <ul>
                                <?php if($options->get('email_address_v1')){ ?><li><a href="mailto:<?php echo esc_attr($options->get('email_address_v1'), true); ?>"><i class="icon-mail"></i> <?php echo wp_kses($options->get('email_address_v1'), true); ?></a></li><?php } ?>
                                <?php if($options->get('address_v1')){ ?><li><i class="icon-placeholder"></i> <?php echo wp_kses($options->get('address_v1'), true); ?></li><?php } ?>
                            </ul>
                        </div>
                    </div>
                    <div class="col-md-5">
                        <div class="top-bar-right text-end">
                            <div class="ltn__top-bar-menu">
                                <ul>
                                    <li>
                                        <!-- ltn__social-media -->
                                        <div class="ltn__social-media">
                                            <?php
												if( $options->get('show_social_share_v1') ):
												$icons = $options->get( 'header_social_share_v1' );
												if ( ! empty( $icons ) ) :
											?>
											  <ul>
												<?php
													foreach ( $icons as $h_icon ) :
													$header_social_icons = json_decode( urldecode( vicodin_set( $h_icon, 'data' ) ) );
													if ( vicodin_set( $header_social_icons, 'enable' ) == '' ) {
														continue;
													}
													$icon_class = explode( '-', vicodin_set( $header_social_icons, 'icon' ) );
												?>
													<li><a href="<?php echo esc_url(vicodin_set( $header_social_icons, 'url' )); ?>" <?php if( vicodin_set( $header_social_icons, 'background' ) || vicodin_set( $header_social_icons, 'color' ) ):?>style="background-color:<?php echo esc_attr(vicodin_set( $header_social_icons, 'background' )); ?>; color: <?php echo esc_attr(vicodin_set( $header_social_icons, 'color' )); ?>"<?php endif;?>><i class="fab <?php echo esc_attr( vicodin_set( $header_social_icons, 'icon' ) ); ?>"></i></a></li>
												<?php endforeach; ?>
												  </ul>
											<?php endif; endif; ?>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- ltn__header-top-area end -->
        <?php } ?>
        <!-- ltn__header-middle-area start -->
        <div class="ltn__header-middle-area ltn__logo-right-menu-option ltn__header-row-bg-white ltn__header-padding ltn__header-sticky ltn__sticky-bg-white">
            <div class="container">
                <div class="row">
                    <div class="col">
                        <div class="site-logo-wrap">
                            <div class="site-logo">
                                <?php echo vicodin_logo( $logo_type, $dark_logo, $dark_logo_dimension, $logo_text, $logo_typography ); ?>
                            </div>
                        </div>
                    </div>
                    <div class="col header-menu-column menu-color-white---">
                        <div class="header-menu d-none d-xl-block">
                            <nav>
                                <div class="ltn__main-menu">
                                   	 <ul>
                                      <?php wp_nav_menu( array( 'theme_location' => 'main_menu', 'container_id' => 'navbar-collapse-1',
											'container_class'=>'navbar-collapse collapse navbar-right',
											'menu_class'=>'nav navbar-nav',
											'fallback_cb'=>false,
											'items_wrap' => '%3$s',
											'container'=>false,
											'depth'=>'3',
											'walker'=> new Bootstrap_walker()
										) ); ?>  
                                    </ul>
                                </div>
                            </nav>
                        </div>
                    </div>
                    <div class="col--- ltn__header-options ltn__header-options-2 mb-sm-20">
                        <?php if( $options->get('show_seach_form_v1') ){?>
                        <!-- header-search-1 -->
                        <div class="header-search-wrap">
                            <div class="header-search-1">
                                <div class="search-icon">
                                    <i class="icon-search for-search-show"></i>
                                    <i class="icon-cancel  for-search-close"></i>
                                </div>
                            </div>
                            <div class="header-search-1-form">
                                <?php get_template_part('searchform1')?>  
                            </div>
                        </div>
                        <?php } ?>
                        
                        <!-- user-menu -->
                        <div class="ltn__drop-menu user-menu">
                            <ul>
                                <li>
                                    <a href="#"><i class="icon-user"></i></a>
                                    <ul>
                                        <?php wp_nav_menu( array( 'theme_location' => 'user_list_menu', 'container_id' => 'navbar-collapse-1',
											'container_class'=>'navbar-collapse collapse navbar-right',
											'menu_class'=>'nav navbar-nav',
											'fallback_cb'=>false,
											'items_wrap' => '%3$s',
											'container'=>false,
											'depth'=>'1',
											'walker'=> new Bootstrap_walker()
										) ); ?>
                                    </ul>
                                </li>
                            </ul>
                        </div>
                        
                        <?php 
							if ($options->get('show_shopping_cart_icon_v1')):
							if( function_exists( 'WC' ) ): global $woocommerce;
						?>
                        <!-- mini-cart -->
                        <div class="mini-cart-icon">
                            <a href="#ltn__utilize-cart-menu" class="ltn__utilize-toggle">
                                <i class="icon-shopping-cart"></i>
                                <sup><?php echo balanceTags( $woocommerce->cart->cart_contents_count )?></sup>
                            </a>
                        </div>
                         <?php endif; endif;?>
                        <!-- mini-cart -->
                        <!-- Mobile Menu Button -->
                        <div class="mobile-menu-toggle d-xl-none">
                            <a href="#ltn__utilize-mobile-menu" class="ltn__utilize-toggle">
                                <svg viewBox="0 0 800 600">
                                    <path d="M300,220 C300,220 520,220 540,220 C740,220 640,540 520,420 C440,340 300,200 300,200" id="top"></path>
                                    <path d="M300,320 L540,320" id="middle"></path>
                                    <path d="M300,210 C300,210 520,210 540,210 C740,210 640,530 520,410 C440,330 300,190 300,190" id="bottom" transform="translate(480, 320) scale(1, -1) translate(-480, -318) "></path>
                                </svg>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- ltn__header-middle-area end -->
    </header>
    <!-- HEADER AREA END -->
	
	<?php 
		if ($options->get('show_shopping_cart_icon_v1')):
		if( function_exists( 'WC' ) ): global $woocommerce;
	?>
    <!-- Utilize Cart Menu Start -->
    <div id="ltn__utilize-cart-menu" class="ltn__utilize ltn__utilize-cart-menu">
        <div class="ltn__utilize-menu-inner ltn__scrollbar">
            <div class="ltn__utilize-menu-head">
                <span class="ltn__utilize-menu-title"><?php esc_html_e('Cart', 'vicodin'); ?></span>
                <button class="ltn__utilize-close"><?php esc_html_e('×', 'vicodin'); ?></button>
            </div>
            <div class="mini-cart-product-area ltn__scrollbar">
                <?php get_template_part('templates/widgets/cart_items'); ?>
            </div>
             <?php if (WC()->cart->get_cart()): ?>
            <div class="mini-cart-footer">
                <div class="mini-cart-sub-total">
                    <h5><?php esc_html_e('Subtotal: ', 'vicodin'); ?> <span><?php echo wp_kses_post( $woocommerce->cart->cart_contents_count )?></span></h5>
                </div>
                <div class="btn-wrapper">
                    <?php
						$cart_url = wc_get_cart_url();
						if ($cart_url) :
					?>
                    <a href="<?php echo esc_url($checkout_url); ?>" class="theme-btn-1 btn btn-effect-1"><?php esc_html_e('View Cart', 'vicodin'); ?></a>
                    <?php endif; ?>
                    <?php
						$checkout_url = wc_get_checkout_url();
						if ($checkout_url) :
					?>
                    <a href="<?php echo esc_url($checkout_url); ?>" class="theme-btn-2 btn btn-effect-2"><?php esc_html_e('Checkout', 'vicodin'); ?></a>
                    <?php endif; ?>
                </div>
            </div>
			 <?php endif; ?>
        </div>
    </div>
    <!-- Utilize Cart Menu End -->
	<?php endif; endif;?>
    
    <!-- Utilize Mobile Menu Start -->
    <div id="ltn__utilize-mobile-menu" class="ltn__utilize ltn__utilize-mobile-menu">
        <div class="ltn__utilize-menu-inner ltn__scrollbar">
            <div class="ltn__utilize-menu-head">
                <div class="site-logo">
                     <?php echo vicodin_logo( $logo_type, $dark_logo, $dark_logo_dimension, $logo_text, $logo_typography ); ?>
                </div>
                <button class="ltn__utilize-close">×</button>
            </div>
            <?php if( $options->get('show_seach_form_v1') ){?>
            <div class="ltn__utilize-menu-search-form">
                <?php get_template_part('searchform1')?>
            </div>
            <?php } ?>
            <div class="ltn__utilize-menu">
                <ul>
                   <?php wp_nav_menu( array( 'theme_location' => 'main_menu', 'container_id' => 'navbar-collapse-1',
						'container_class'=>'navbar-collapse collapse navbar-right',
						'menu_class'=>'nav navbar-nav',
						'fallback_cb'=>false,
						'items_wrap' => '%3$s',
						'container'=>false,
						'depth'=>'3',
						'walker'=> new Bootstrap_walker()
					) ); ?>  
                </ul>
            </div>
            <div class="ltn__utilize-buttons ltn__utilize-buttons-2">
                <ul>
                    <?php if( $options->get('show_my_account_info_v1')){?>
                    <li>
                        <a href="<?php echo esc_url($options->get('my_account_link_v1'), true); ?>" title="My Account">
                            <span class="utilize-btn-icon">
                                <i class="far fa-user"></i>
                            </span>
                            <?php echo wp_kses($options->get('my_account_title_v1'), true); ?>
                        </a>
                    </li>
                    <?php } ?>
                    
                    <?php 
						if ($options->get('show_shopping_cart_icon_v1')):
						if( function_exists( 'WC' ) ): global $woocommerce;
					?>
                    <li>
                        <a href="<?php echo esc_url($cart_url); ?>" title="Shoping Cart">
                            <span class="utilize-btn-icon">
                                <i class="fas fa-shopping-cart"></i>
                                <sup><?php echo balanceTags( $woocommerce->cart->cart_contents_count )?></sup>
                            </span>
                            <?php esc_html_e('Shoping Cart', 'vicodin'); ?>
                        </a>
                    </li>
                    <?php endif; endif;?>
                </ul>
            </div>
            <div class="ltn__social-media-2">
                <?php
					if( $options->get('show_mobile_social_share_v1') ):
					$icons = $options->get( 'mobile_social_share_v1' );
					if ( ! empty( $icons ) ) :
				?>
				  <ul>
					<?php
						foreach ( $icons as $h_icon ) :
						$header_social_icons = json_decode( urldecode( vicodin_set( $h_icon, 'data' ) ) );
						if ( vicodin_set( $header_social_icons, 'enable' ) == '' ) {
							continue;
						}
						$icon_class = explode( '-', vicodin_set( $header_social_icons, 'icon' ) );
					?>
						<li><a href="<?php echo esc_url(vicodin_set( $header_social_icons, 'url' )); ?>" <?php if( vicodin_set( $header_social_icons, 'background' ) || vicodin_set( $header_social_icons, 'color' ) ):?>style="background-color:<?php echo esc_attr(vicodin_set( $header_social_icons, 'background' )); ?>; color: <?php echo esc_attr(vicodin_set( $header_social_icons, 'color' )); ?>"<?php endif;?>><i class="fab <?php echo esc_attr( vicodin_set( $header_social_icons, 'icon' ) ); ?>"></i></a></li>
					<?php endforeach; ?>
					  </ul>
				<?php endif; endif; ?>
            </div>
        </div>
    </div>
    <!-- Utilize Mobile Menu End -->

    <div class="ltn__utilize-overlay"></div>