<?php

namespace VICODINPLUGIN\Element;


class Elementor {
	static $widgets = array(
		//Home Page One
		'slider_v1',
		'product_category',
		'about_us',
		'feature_product',
		'feature_product_v2',
		'campaign_ticket',
		'latest_product',
		'covering_mask',
		'trending_products',
		'feature_product_v4',
		'shipping_area',
		'latest_news',
		'our_clients',
		
		//Home Page Two
		'slider_v2',
		'feature_product_v3',
		
		//Home Page Three
		'slider_v3',
		'our_product',
		'our_video',
		'our_testimonials',
		'call_to_action',
		
		//Inner Page
		'core_feature',
		'funfacts',
		'our_team',
		'faqs',
		'why_choose_us',
		'about_us_v2',
		'our_services',
		'service_detail',
		'our_project',
		'call_to_action_v2',
		'project_detail',
		'faqs_v2',
		'google_map',
		'contact_info',
		'blog_grid',
		'contact_info_v2',
		'contact_us',
		'history_tabs',
		'call_to_action_v3',
		'comming_soon',
		'product_grid',
		'product_list',
	);

	static function init() {
		add_action( 'elementor/init', array( __CLASS__, 'loader' ) );
		add_action( 'elementor/elements/categories_registered', array( __CLASS__, 'register_cats' ) );
	}

	static function loader() {

		foreach ( self::$widgets as $widget ) {

			$file = VICODINPLUGIN_PLUGIN_PATH . '/elementor/' . $widget . '.php';
			if ( file_exists( $file ) ) {
				require_once $file;
			}

			add_action( 'elementor/widgets/widgets_registered', array( __CLASS__, 'register' ) );
		}
	}

	static function register( $elemntor ) {
		foreach ( self::$widgets as $widget ) {
			$class = '\\VICODINPLUGIN\\Element\\' . ucwords( $widget );

			if ( class_exists( $class ) ) {
				$elemntor->register_widget_type( new $class );
			}
		}
	}

	static function register_cats( $elements_manager ) {

		$elements_manager->add_category(
			'vicodin',
			[
				'title' => esc_html__( 'Vicodin', 'vicodin' ),
				'icon'  => 'fa fa-plug',
			]
		);
		$elements_manager->add_category(
			'themexriver',
			[
				'title' => esc_html__( 'Themexriver', 'vicodin' ),
				'icon'  => 'fa fa-plug',
			]
		);

	}
}

Elementor::init();