<?php
///----footer widgets---
//About Company
class Vicodin_About_Company extends WP_Widget
{
	
	/** constructor */
	function __construct()
	{
		parent::__construct( /* Base ID */'Vicodin_About_Company', /* Name */esc_html__('Vicodin About Company','vicodin'), array( 'description' => esc_html__('Show the About Company', 'vicodin' )) );
	}

	/** @see WP_Widget::widget */
	function widget($args, $instance)
	{
		extract( $args );


		echo wp_kses_post($before_widget);?>
      		
            <div class="footer-about-widget">
                 <?php if($instance['widget_logo_img']){ ?>
                <div class="footer-logo">
                    <div class="site-logo">
                        <img src="<?php echo esc_url($instance['widget_logo_img']); ?>" alt="<?php esc_attr_e('Awesome Image', 'vicodin'); ?>">
                    </div>
                </div>
                <?php } ?>
                <?php if($instance['content']){ ?><p><?php echo wp_kses_post($instance['content']); ?></p><?php } ?>
                <div class="footer-address">
                    <ul>
                        <?php if($instance['address']){ ?>
                        <li>
                            <div class="footer-address-icon">
                                <i class="icon-placeholder"></i>
                            </div>
                            <div class="footer-address-info">
                                <p><?php echo wp_kses_post($instance['address']); ?></p>
                            </div>
                        </li>
                        <?php } ?>
                        <?php if($instance['phone_no']){ ?>
                        <li>
                            <div class="footer-address-icon">
                                <i class="icon-call"></i>
                            </div>
                            <div class="footer-address-info">
                                <p><a href="tel:<?php echo esc_attr($instance['phone_no']); ?>"><?php echo wp_kses_post($instance['phone_no']); ?></a></p>
                            </div>
                        </li>
                        <?php } ?>
                        <?php if($instance['email_address']){ ?>
                        <li>
                            <div class="footer-address-icon">
                                <i class="icon-mail"></i>
                            </div>
                            <div class="footer-address-info">
                                <p><a href="mailto:<?php echo esc_attr($instance['email_address']); ?>"><?php echo wp_kses_post($instance['email_address']); ?></a></p>
                            </div>
                        </li>
                        <?php } ?>
                    </ul>
                </div>
                <div class="ltn__social-media mt-20">
                    <?php if( $instance['show'] ): ?>
					<?php echo wp_kses_post(vicodin_get_social_icon()); ?>
                    <?php endif; ?>
                </div>
            </div>
        
        
            
        <?php
		
		echo wp_kses_post($after_widget);
	}
	
	
	/** @see WP_Widget::update */
	function update($new_instance, $old_instance)
	{
		$instance = $old_instance;
		$instance['widget_logo_img'] = $new_instance['widget_logo_img'];
		$instance['content'] = $new_instance['content'];
		$instance['address'] = $new_instance['address'];
		$instance['phone_no'] = $new_instance['phone_no'];
		$instance['email_address'] = $new_instance['email_address'];
		$instance['show'] = $new_instance['show'];

		return $instance;
	}

	/** @see WP_Widget::form */
	function form($instance)
	{
		$widget_logo_img = ( $instance ) ? esc_attr($instance['widget_logo_img']) : esc_html__('http://themexriver.com/wp/vicodin/wp-content/uploads/2022/08/logo.png', 'vicodin');
		$content = ($instance) ? esc_attr($instance['content']) : '';
		$address = ($instance) ? esc_attr($instance['address']) : '';
		$phone_no = ($instance) ? esc_attr($instance['phone_no']) : '';
		$email_address = ($instance) ? esc_attr($instance['email_address']) : '';
		$show = ($instance) ? esc_attr($instance['show']) : '';

		?>
       
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('widget_logo_img')); ?>"><?php esc_html_e('Logo Image Url:', 'vicodin'); ?></label>
            <input placeholder="<?php esc_attr_e('Image Url', 'vicodin');?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('widget_logo_img')); ?>" name="<?php echo esc_attr($this->get_field_name('widget_logo_img')); ?>" type="text" value="<?php echo esc_attr($widget_logo_img); ?>" />
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('content')); ?>"><?php esc_html_e('Content:', 'vicodin'); ?></label>
            <textarea class="widefat" id="<?php echo esc_attr($this->get_field_id('content')); ?>" name="<?php echo esc_attr($this->get_field_name('content')); ?>" ><?php echo wp_kses_post($content); ?></textarea>
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('address')); ?>"><?php esc_html_e('Addess:', 'vicodin'); ?></label>
            <textarea class="widefat" id="<?php echo esc_attr($this->get_field_id('address')); ?>" name="<?php echo esc_attr($this->get_field_name('address')); ?>" ><?php echo wp_kses_post($address); ?></textarea>
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('phone_no')); ?>"><?php esc_html_e('Phone Number:', 'vicodin'); ?></label>
            <input placeholder="<?php esc_attr_e('+0123-456789', 'vicodin');?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('phone_no')); ?>" name="<?php echo esc_attr($this->get_field_name('phone_no')); ?>" type="text" value="<?php echo esc_attr($phone_no); ?>" />
        </p>
       <p>
            <label for="<?php echo esc_attr($this->get_field_id('email_address')); ?>"><?php esc_html_e('Email Addess:', 'vicodin'); ?></label>
            <input placeholder="<?php esc_attr_e('example@example.com', 'vicodin');?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('email_address')); ?>" name="<?php echo esc_attr($this->get_field_name('email_address')); ?>" type="text" value="<?php echo esc_attr($email_address); ?>" />
        </p>             
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('show')); ?>"><?php esc_html_e('Show Social Icons:', 'vicodin'); ?></label>
			<?php $selected = ( $show ) ? ' checked="checked"' : ''; ?>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id('show')); ?>"<?php echo esc_attr($selected); ?> name="<?php echo esc_attr($this->get_field_name('show')); ?>" type="checkbox" value="true" />
        </p>
                
		<?php 
	}
	
}

//Newsletter
class Vicodin_Newsletter extends WP_Widget
{
	
	/** constructor */
	function __construct()
	{
		parent::__construct( /* Base ID */'Vicodin_Newsletter', /* Name */esc_html__('Vicodin Newsletter','vicodin'), array( 'description' => esc_html__('Show the Newsletter', 'vicodin' )) );
	}

	/** @see WP_Widget::widget */
	function widget($args, $instance)
	{
		extract( $args );
		$title = apply_filters( 'widget_title', $instance['title'] );


		echo wp_kses_post($before_widget);?>
      		
        <div class="footer-newsletter-widget">
            <?php echo wp_kses_post($before_title.$title.$after_title); ?>
            <?php if($instance['content']){ ?><p><?php echo wp_kses_post($instance['content']); ?></p><?php } ?>
            <?php if($instance['newsletter_form_url']){ ?>
            <div class="footer-newsletter">
                <?php echo do_shortcode($instance['newsletter_form_url']);?>
            </div>
            <?php } ?>
            <?php if($instance['company_title']){ ?><h5 class="mt-30"><?php echo wp_kses_post($instance['company_title']); ?></h5><?php } ?>
            <?php if($instance['widget_company_img']){ ?>
            <img src="<?php echo esc_url($instance['widget_company_img']); ?>" alt="<?php esc_attr_e('Awesome Image', 'vicodin'); ?>">
       		<?php } ?>
        </div>


            
        <?php
		
		echo wp_kses_post($after_widget);
	}
	
	
	/** @see WP_Widget::update */
	function update($new_instance, $old_instance)
	{
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		$instance['content'] = $new_instance['content'];
		$instance['newsletter_form_url'] = $new_instance['newsletter_form_url'];
		$instance['company_title'] = $new_instance['company_title'];
		$instance['widget_company_img'] = $new_instance['widget_company_img'];

		return $instance;
	}

	/** @see WP_Widget::form */
	function form($instance)
	{
		$title = ($instance) ? esc_attr($instance['title']) : 'Newsletter';
		$content = ($instance) ? esc_attr($instance['content']) : '';
		$newsletter_form_url = ($instance) ? esc_attr($instance['newsletter_form_url']) : '';
		$company_title = ($instance) ? esc_attr($instance['company_title']) : '';
		$widget_company_img = ( $instance ) ? esc_attr($instance['widget_company_img']) : esc_html__('http://wp1.efforttech.com/newwp/oxion/wp-content/uploads/2022/08/logo-3.png', 'vicodin');

		?>
       
        
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('title')); ?>"><?php esc_html_e('Enter Title:', 'vicodin'); ?></label>
            <input placeholder="<?php esc_attr_e('Newsletter', 'vicodin');?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" type="text" value="<?php echo esc_attr($title); ?>" />
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('content')); ?>"><?php esc_html_e('Content:', 'vicodin'); ?></label>
            <textarea class="widefat" id="<?php echo esc_attr($this->get_field_id('content')); ?>" name="<?php echo esc_attr($this->get_field_name('content')); ?>" ><?php echo wp_kses_post($content); ?></textarea>
        </p>
       <p>
            <label for="<?php echo esc_attr($this->get_field_id('newsletter_form_url')); ?>"><?php esc_html_e('Newsletter Form Url:', 'vicodin'); ?></label>
            <textarea class="widefat" id="<?php echo esc_attr($this->get_field_id('newsletter_form_url')); ?>" name="<?php echo esc_attr($this->get_field_name('newsletter_form_url')); ?>" ><?php echo wp_kses_post($newsletter_form_url); ?></textarea>
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('company_title')); ?>"><?php esc_html_e('Company Title:', 'vicodin'); ?></label>
            <input placeholder="<?php esc_attr_e('We Accept', 'vicodin');?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('company_title')); ?>" name="<?php echo esc_attr($this->get_field_name('company_title')); ?>" type="text" value="<?php echo esc_attr($company_title); ?>" />
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('widget_company_img')); ?>"><?php esc_html_e('Company Image Url:', 'vicodin'); ?></label>
            <input placeholder="<?php esc_attr_e('Image Url', 'vicodin');?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('widget_company_img')); ?>" name="<?php echo esc_attr($this->get_field_name('widget_company_img')); ?>" type="text" value="<?php echo esc_attr($widget_company_img); ?>" />
        </p>
                
		<?php 
	}
	
}



///----Service Sidebar widgets---
//Quick Contact
class Vicodin_Quick_Contact extends WP_Widget
{
	
	/** constructor */
	function __construct()
	{
		parent::__construct( /* Base ID */'Vicodin_Quick_Contact', /* Name */esc_html__('Vicodin Quick Contact','vicodin'), array( 'description' => esc_html__('Show the Quick Contact', 'vicodin' )) );
	}

	/** @see WP_Widget::widget */
	function widget($args, $instance)
	{
		extract( $args );
		$title = apply_filters('widget_title', $instance['title']);
		
		echo wp_kses_post($before_widget);?>
      		
			
            <!-- Newsletter Widget -->
            <div class="ltn__search-widget ltn__newsletter-widget">                            
                <?php if($instance['subtitle']){ ?>
                <h6 class="ltn__widget-sub-title"><?php echo wp_kses_post($instance['subtitle']); ?></h6>
                <?php } ?>
                <?php echo wp_kses_post($before_title.$title.$after_title); ?>
                <?php if($instance['newsletter_form_url']){ ?>
				<?php echo do_shortcode($instance['newsletter_form_url']); ?>
                <div class="ltn__newsletter-bg-icon">
                    <i class="fas fa-envelope-open-text"></i>
                </div>
                <?php } ?>
            </div>
  
            
            
        <?php
		
		echo wp_kses_post($after_widget);
	}
	
	
	/** @see WP_Widget::update */
	function update($new_instance, $old_instance)
	{
		$instance = $old_instance;
		$instance['subtitle'] = $new_instance['subtitle'];
		$instance['title'] = strip_tags($new_instance['title']);
		$instance['newsletter_form_url'] = $new_instance['newsletter_form_url'];
		
		
		return $instance;
	}

	/** @see WP_Widget::form */
	function form($instance)
	{
		$subtitle = ($instance) ? esc_attr($instance['subtitle']) : '// subscribe';
		$title = ($instance) ? esc_attr($instance['title']) : 'Get Newsletter';
		$newsletter_form_url = ($instance) ? esc_attr($instance['newsletter_form_url']) : '';
		
		?>
        
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('subtitle')); ?>"><?php esc_html_e('Enter Sub Title:', 'vicodin'); ?></label>
            <input placeholder="<?php esc_attr_e('// subscribe', 'vicodin');?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('subtitle')); ?>" name="<?php echo esc_attr($this->get_field_name('subtitle')); ?>" type="text" value="<?php echo esc_attr($subtitle); ?>" />
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('title')); ?>"><?php esc_html_e('Enter Title:', 'vicodin'); ?></label>
            <input placeholder="<?php esc_attr_e('Get Newsletter', 'vicodin');?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" type="text" value="<?php echo esc_attr($title); ?>" />
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('newsletter_form_url')); ?>"><?php esc_html_e('Mail Chimp Form Url:', 'vicodin'); ?></label>
            <input placeholder="<?php esc_attr_e('Newsletter Form Url', 'vicodin');?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('newsletter_form_url')); ?>" name="<?php echo esc_attr($this->get_field_name('newsletter_form_url')); ?>" type="text" value="<?php echo esc_attr($newsletter_form_url); ?>" />
        </p>
               
		<?php 
	}
	
}

//Our Appointments
class Vicodin_Our_Appointments extends WP_Widget
{
	
	/** constructor */
	function __construct()
	{
		parent::__construct( /* Base ID */'Vicodin_Our_Appointments', /* Name */esc_html__('Vicodin Our Appointments','vicodin'), array( 'description' => esc_html__('Show the Our Appointments', 'vicodin' )) );
	}

	/** @see WP_Widget::widget */
	function widget($args, $instance)
	{
		extract( $args );
		
		echo wp_kses_post($before_widget);?>
      		
        <!-- Mask Block -->
        <div class="mask-block">
            <div class="inner-box">
                <div class="content">
                    <div class="title"><?php echo wp_kses($instance['block_subtitle'], true); ?></div>
                    <h2>
                        <?php echo wp_kses($instance['block_title'], true); ?>
                    </h2>
                    <a class="buy-now" href="<?php echo esc_url($instance['btn_link']); ?>"><?php echo wp_kses($instance['btn_title'], true); ?></a>
                </div>
                <?php if($instance['widget_img']){ ?>
                <div class="image-outer">
                    <div class="image">
                        <div class="circle-layer"></div>
                        <img src="<?php echo esc_url($instance['widget_img']); ?>" alt="<?php esc_attr_e('Awesome Image', 'vicodin'); ?>">
                    </div>
                </div>
                <?php } ?>
            </div>
        </div>
                          
        <?php
		
		echo wp_kses_post($after_widget);
	}
	
	
	/** @see WP_Widget::update */
	function update($new_instance, $old_instance)
	{
		$instance = $old_instance;
		$instance['widget_img'] = strip_tags($new_instance['widget_img']);
		$instance['block_subtitle'] = strip_tags($new_instance['block_subtitle']);
		$instance['block_title'] = strip_tags($new_instance['block_title']);
		$instance['btn_title'] = strip_tags($new_instance['btn_title']);
		$instance['btn_link'] = $new_instance['btn_link'];
		
		
		return $instance;
	}

	/** @see WP_Widget::form */
	function form($instance)
	{
		
		$widget_img = ($instance) ? esc_attr($instance['widget_img']) : 'http://themexriver.com/wp/vicodin/wp-content/uploads/2022/08/temp-1.png';
		$block_subtitle = ($instance) ? esc_attr($instance['block_subtitle']) : '';
		$block_title = ($instance) ? esc_attr($instance['block_title']) : '';
		$btn_title = ($instance) ? esc_attr($instance['btn_title']) : '';
		$btn_link = ($instance) ? esc_attr($instance['btn_link']) : '';
		
		?>
        
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('widget_img')); ?>"><?php esc_html_e('Image Url:', 'vicodin'); ?></label>
            <input placeholder="<?php esc_attr_e('Image Url', 'vicodin');?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('widget_img')); ?>" name="<?php echo esc_attr($this->get_field_name('widget_img')); ?>" type="text" value="<?php echo esc_attr($widget_img); ?>" />
        </p> 
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('block_subtitle')); ?>"><?php esc_html_e('Discount Value/Sub Title:', 'vicodin'); ?></label>
            <input placeholder="<?php esc_attr_e('- 29% OFF', 'vicodin');?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('block_subtitle')); ?>" name="<?php echo esc_attr($this->get_field_name('block_subtitle')); ?>" type="text" value="<?php echo esc_attr($block_subtitle); ?>" />
        </p> 
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('block_title')); ?>"><?php esc_html_e('Title:', 'vicodin'); ?></label>
            <textarea class="widefat" id="<?php echo esc_attr($this->get_field_id('block_title')); ?>" name="<?php echo esc_attr($this->get_field_name('block_title')); ?>" ><?php echo wp_kses_post($block_title); ?></textarea>
        </p>    
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('btn_title')); ?>"><?php esc_html_e('Button Title:', 'vicodin'); ?></label>
            <input placeholder="<?php esc_attr_e('Buy Now', 'vicodin');?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('btn_title')); ?>" name="<?php echo esc_attr($this->get_field_name('btn_title')); ?>" type="text" value="<?php echo esc_attr($btn_title); ?>" />
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('btn_link')); ?>"><?php esc_html_e('Button Link:', 'vicodin'); ?></label>
            <input placeholder="<?php esc_attr_e('#', 'vicodin');?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('btn_link')); ?>" name="<?php echo esc_attr($this->get_field_name('btn_link')); ?>" type="text" value="<?php echo esc_attr($btn_link); ?>" />
        </p>
                
		<?php 
	}
	
}



///----Blog widgets---
//Popular Post
class Vicodin_Popular_Post extends WP_Widget
{
    /** constructor */
    public function __construct()
    {
        parent::__construct( /* Base ID */'Vicodin_Popular_Post', /* Name */esc_html__('Vicodin Blog Popular Post', 'vicodin'), array( 'description' => esc_html__('Show the Blog Popular Post', 'vicodin')));
    }


    /** @see WP_Widget::widget */
    public function widget($args, $instance)
    {
        extract($args);
        $title = apply_filters('widget_title', $instance['title']);

        echo wp_kses_post($before_widget); ?>

		
       <!-- Popular Post Widget -->
        <div class="ltn__popular-post-widget">
           <?php echo wp_kses_post($before_title.$title.$after_title); ?>
            <ul>
				 <?php $query_string = array('showposts'=>$instance['number']);
                    if ($instance['cat']) {
                        $query_string['tax_query'] = array(array('taxonomy' => 'category','field' => 'id','terms' => (array)$instance['cat']));
                    }
                    $this->posts($query_string); 
                ?>
            </ul>
        </div> 
        
        
        
        <?php echo wp_kses_post($after_widget);
    }


    /** @see WP_Widget::update */
    public function update($new_instance, $old_instance)
    {
        $instance = $old_instance;

        $instance['title'] = strip_tags($new_instance['title']);
        $instance['number'] = $new_instance['number'];
        $instance['cat'] = $new_instance['cat'];

        return $instance;
    }

    /** @see WP_Widget::form */
    public function form($instance)
    {
        $title = ($instance) ? esc_attr($instance['title']) : esc_html__('Popular Post', 'vicodin');
        $number = ($instance) ? esc_attr($instance['number']) : 3;
        $cat = ($instance) ? esc_attr($instance['cat']) : ''; ?>

        <p>
            <label for="<?php echo esc_attr($this->get_field_id('title')); ?>"><?php esc_html_e('Title: ', 'vicodin'); ?></label>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" type="text" value="<?php echo esc_attr($title); ?>" />
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('number')); ?>"><?php esc_html_e('No. of Posts:', 'vicodin'); ?></label>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id('number')); ?>" name="<?php echo esc_attr($this->get_field_name('number')); ?>" type="text" value="<?php echo esc_attr($number); ?>" />
        </p>
		<p>
            <label for="<?php echo esc_attr($this->get_field_id('categories')); ?>"><?php esc_html_e('Category', 'vicodin'); ?></label>
            <?php wp_dropdown_categories(array('show_option_all'=>esc_html__('All Categories', 'vicodin'), 'taxonomy' => 'category', 'selected'=>$cat, 'class'=>'widefat', 'name'=>$this->get_field_name('cat'))); ?>
        </p>

        <?php
    }

    public function posts($query_string)
    {
        $query = new WP_Query($query_string);
        if ($query->have_posts()):?>

            <!-- Title -->
            <?php
                global $post;
				while ($query->have_posts()): $query->the_post();
				$post_thumbnail_id = get_post_thumbnail_id($post->ID);
				$post_thumbnail_url = wp_get_attachment_url($post_thumbnail_id); 
			?>
            <li>
                <div class="popular-post-widget-item clearfix">
                    <div class="popular-post-widget-img">
                        <a href="<?php echo esc_url(get_the_permalink(get_the_id())); ?>"><img src="<?php echo esc_url($post_thumbnail_url); ?>" alt="<?php esc_attr_e('Awesome Image', 'vicodin'); ?>"></a>
                    </div>
                    <div class="popular-post-widget-brief">
                        <h6><a href="<?php echo esc_url(get_the_permalink(get_the_id())); ?>"><?php the_title(); ?></a></h6>
                        <div class="ltn__blog-meta">
                            <ul>
                                <li class="ltn__blog-date">
                                    <a href="<?php echo get_month_link(get_the_date('Y'), get_the_date('m')); ?>"><i class="far fa-calendar-alt"></i><?php echo get_the_date(); ?></a>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </li>
            <?php endwhile; ?>

        <?php endif;
        wp_reset_postdata();
    }
}

//Our Team
class Vicodin_Our_Team extends WP_Widget
{
	/** constructor */
	function __construct()
	{
		parent::__construct( /* Base ID */'Vicodin_Our_Team', /* Name */esc_html__('Vicodin Our Team','vicodin'), array( 'description' => esc_html__('Show the Our Team', 'vicodin' )) );
	}
 
	/** @see WP_Widget::widget */
	function widget($args, $instance)
	{
		extract( $args );
		
		echo wp_kses_post($before_widget); ?>
		
         <!-- Author Widget -->
        <div class="ltn__author-widget">
            <?php 
				$args = array('post_type' => 'team', 'showposts'=>$instance['number']);
				if( $instance['cat'] ) $args['tax_query'] = array(array('taxonomy' => 'team_cat','field' => 'id','terms' => (array)$instance['cat']));
				$this->posts($args);
			?>
        </div>
        
        
                
        <?php echo wp_kses_post($after_widget);
	}
 
 
	/** @see WP_Widget::update */
	function update($new_instance, $old_instance)
	{
		$instance = $old_instance;
		
		$instance['number'] = $new_instance['number'];
		$instance['cat'] = $new_instance['cat'];
		
		return $instance;
	}
	/** @see WP_Widget::form */
	function form($instance)
	{
		$number = ( $instance ) ? esc_attr($instance['number']) : 3;
		$cat = ( $instance ) ? esc_attr($instance['cat']) : '';
		?>
		
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('number')); ?>"><?php esc_html_e('Number of posts: ', 'vicodin'); ?></label>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id('number')); ?>" name="<?php echo esc_attr($this->get_field_name('number')); ?>" type="text" value="<?php echo esc_attr( $number ); ?>" />
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('cat')); ?>"><?php esc_html_e('Category', 'vicodin'); ?></label>
            <?php wp_dropdown_categories( array('show_option_all'=>esc_html__('All Categories', 'vicodin'), 'selected'=>$cat, 'taxonomy' => 'team_cat', 'class'=>'widefat', 'name'=>$this->get_field_name('cat')) ); ?>
        </p>
        
		<?php 
	}
	
	function posts($args)
	{
		
		$query = new WP_Query($args);
		if( $query->have_posts() ):?>
        
           	<!-- Title -->
            <?php 
				while( $query->have_posts() ): $query->the_post(); 
			?>
            <div class="ltn__author-widget-inner text-center">
                <?php the_post_thumbnail('vicodin_140x140'); ?>
                <h5><?php the_title(); ?></h5>
                <small><?php echo (get_post_meta( get_the_id(), 'designation', true ));?></small>
                <div class="product-ratting">
                    <ul>
                       <?php
							$ratting = get_post_meta( get_the_id(), 'team_rating', true ); 
							for ($x = 1; $x <= 5; $x++) {
							if($x <= $ratting) echo '<li><a href="#"><i class="fas fa-star"></i></a></li>'; else echo '<li><a href="#"><i class="fas fa-star-half-alt"></i></a></li>'; 
							}
						?> 
                    </ul>
                </div>
                <p><?php echo wp_trim_words( get_the_content(), 20, '...' ); ?></p>
                <div class="ltn__social-media">
                     <?php
						$icons = get_post_meta( get_the_id(), 'social_profile', true );
						if ( ! empty( $icons ) ) :
					?>
					<ul>
					<?php
						foreach ( $icons as $h_icon ) :
						$header_social_icons = json_decode( urldecode( vicodin_set( $h_icon, 'data' ) ) );
						if ( vicodin_set( $header_social_icons, 'enable' ) == '' ) {
							continue;
						}
						$icon_class = explode( '-', vicodin_set( $header_social_icons, 'icon' ) );
						?>
						<li><a href="<?php echo esc_url(vicodin_set( $header_social_icons, 'url' )); ?>" <?php if( vicodin_set( $header_social_icons, 'background' ) || vicodin_set( $header_social_icons, 'color' ) ):?>style="background-color:<?php echo esc_attr(vicodin_set( $header_social_icons, 'background' )); ?>; color: <?php echo esc_attr(vicodin_set( $header_social_icons, 'color' )); ?>"<?php endif;?>><i class="fab <?php echo esc_attr( vicodin_set( $header_social_icons, 'icon' ) ); ?>"></i></a></li>
					<?php endforeach; ?>
					</ul>
					<?php endif; ?>
                </div>
            </div>
            
            
            <?php endwhile; ?>
                
        <?php endif;
		wp_reset_postdata();
    }
}

//Our Contact
class Vicodin_Our_Contact extends WP_Widget
{
	
	/** constructor */
	function __construct()
	{
		parent::__construct( /* Base ID */'Vicodin_Our_Contact', /* Name */esc_html__('Vicodin Our Contact','vicodin'), array( 'description' => esc_html__('Show the Our Contact', 'vicodin' )) );
	}

	/** @see WP_Widget::widget */
	function widget($args, $instance)
	{
		extract( $args );
		$title = apply_filters('widget_title', $instance['title']);
		
		echo wp_kses_post($before_widget);?>
      		
			
           <!-- Form Widget -->
            <div class="ltn__form-widget">
                 <?php echo wp_kses_post($before_title.$title.$after_title); ?>
                <?php if($instance['contact_form_url']){ ?>
				<?php echo do_shortcode($instance['contact_form_url']); ?>
                <?php } ?>
            </div>
           
           
            
            
        <?php
		
		echo wp_kses_post($after_widget);
	}
	
	
	/** @see WP_Widget::update */
	function update($new_instance, $old_instance)
	{
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		$instance['contact_form_url'] = $new_instance['contact_form_url'];
		
		
		return $instance;
	}

	/** @see WP_Widget::form */
	function form($instance)
	{
		$title = ($instance) ? esc_attr($instance['title']) : 'Get Newsletter';
		$contact_form_url = ($instance) ? esc_attr($instance['contact_form_url']) : '';
		
		?>
        
       
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('title')); ?>"><?php esc_html_e('Enter Title:', 'vicodin'); ?></label>
            <input placeholder="<?php esc_attr_e('Get Newsletter', 'vicodin');?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" type="text" value="<?php echo esc_attr($title); ?>" />
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('contact_form_url')); ?>"><?php esc_html_e('Contact Form Url:', 'vicodin'); ?></label>
            <input placeholder="<?php esc_attr_e('Contact Form Url', 'vicodin');?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('contact_form_url')); ?>" name="<?php echo esc_attr($this->get_field_name('contact_form_url')); ?>" type="text" value="<?php echo esc_attr($contact_form_url); ?>" />
        </p>
               
		<?php 
	}
	
}


//Shop Widget

//Rated Product
class Vicodin_Rated_Product extends WP_Widget
{
    /** constructor */
    public function __construct()
    {
        parent::__construct( /* Base ID */'Vicodin_Rated_Product', /* Name */esc_html__('Vicodin Rated Product', 'vicodin'), array( 'description' => esc_html__('Show the Rated Product', 'vicodin')));
    }


    /** @see WP_Widget::widget */
    public function widget($args, $instance)
    {
        extract($args);
        $title = apply_filters('widget_title', $instance['title']);

        echo wp_kses_post($before_widget); ?>

		
        <!-- Top Rated Product Widget -->
        <div class="ltn__top-rated-product-widget woocommerce">
            <?php echo wp_kses_post($before_title.$title.$after_title); ?>
            <ul>
                <?php 
					$args = array('post_type' => 'product', 'showposts'=>$instance['number']);
					if( $instance['cat'] ) $args['tax_query'] = array(array('taxonomy' => 'product_cat','field' => 'id','terms' => (array)$instance['cat']));
					 
					$this->posts($args);
				?>
            </ul>
        </div>
       
       
        
        <?php echo wp_kses_post($after_widget);
    }


    /** @see WP_Widget::update */
    public function update($new_instance, $old_instance)
    {
        $instance = $old_instance;

        $instance['title'] = strip_tags($new_instance['title']);
        $instance['number'] = $new_instance['number'];
        $instance['cat'] = $new_instance['cat'];

        return $instance;
    }

    /** @see WP_Widget::form */
    public function form($instance)
    {
        $title = ($instance) ? esc_attr($instance['title']) : esc_html__('Rated Product', 'vicodin');
        $number = ($instance) ? esc_attr($instance['number']) : 3;
        $cat = ($instance) ? esc_attr($instance['cat']) : ''; ?>

        <p>
            <label for="<?php echo esc_attr($this->get_field_id('title')); ?>"><?php esc_html_e('Title: ', 'vicodin'); ?></label>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" type="text" value="<?php echo esc_attr($title); ?>" />
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('number')); ?>"><?php esc_html_e('No. of Posts:', 'vicodin'); ?></label>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id('number')); ?>" name="<?php echo esc_attr($this->get_field_name('number')); ?>" type="text" value="<?php echo esc_attr($number); ?>" />
        </p>
		<p>
            <label for="<?php echo esc_attr($this->get_field_id('cat')); ?>"><?php esc_html_e('Category', 'vicodin'); ?></label>
            <?php wp_dropdown_categories( array('show_option_all'=>esc_html__('All Categories', 'vicodin'), 'selected'=>$cat, 'taxonomy' => 'product_cat', 'class'=>'widefat', 'name'=>$this->get_field_name('cat')) ); ?>
        </p>

        <?php
    }

    public function posts($query_string)
    {
        $query = new WP_Query($query_string);
        if ($query->have_posts()):?>

            <!-- Title -->
            <?php
                global $post;
				while ($query->have_posts()): $query->the_post();
				$post_thumbnail_id = get_post_thumbnail_id($post->ID);
				$post_thumbnail_url = wp_get_attachment_url($post_thumbnail_id); 
			?>
            <li>
                <div class="top-rated-product-item clearfix">
                    <div class="top-rated-product-img">
                        <a href="<?php echo esc_url(get_the_permalink(get_the_id())); ?>"><img src="<?php echo esc_url($post_thumbnail_url); ?>" alt="<?php esc_attr_e('Awesome Image', 'vicodin'); ?>"></a>
                    </div>
                    <div class="top-rated-product-info">
                        <div class="product-ratting">
                           <?php woocommerce_template_loop_rating();?>
                        </div>
                        <h6><a href="<?php echo esc_url(get_the_permalink(get_the_id())); ?>"><?php the_title(); ?></a></h6>
                        <div class="product-price">
                            <?php woocommerce_template_loop_price();?>
                        </div>
                    </div>
                </div>
            </li>
        
            <?php endwhile; ?>

        <?php endif;
        wp_reset_postdata();
    }
}

//Sale Block
class Vicodin_Sale_Block extends WP_Widget
{
	
	/** constructor */
	function __construct()
	{
		parent::__construct( /* Base ID */'Vicodin_Sale_Block', /* Name */esc_html__('Vicodin Sale Block','vicodin'), array( 'description' => esc_html__('Show the Vicodin Sale Block', 'vicodin' )) );
	}

	/** @see WP_Widget::widget */
	function widget($args, $instance)
	{
		extract( $args );
		
		echo wp_kses_post($before_widget);?>
      		
        <!-- Sale Block -->
        <div class="sale-block style-two">
            <div class="inner-box">
                <div class="content">
                    <div class="title"><?php echo wp_kses($instance['block_subtitle2'], true); ?></div>
                    <h2>
                        <?php echo wp_kses($instance['block_title2'], true); ?>
                    </h2>
                    <a class="buy-now" href="<?php echo esc_url($instance['btn_link2']); ?>"><?php echo wp_kses($instance['btn_title2'], true); ?></a>
                </div>
                <?php if($instance['widget_img2']){ ?>
                <div class="image-outer">
                    <div class="image">
                        <div class="circle-layer"></div>
                        <img src="<?php echo esc_url($instance['widget_img2']); ?>" alt="<?php esc_attr_e('Awesome Image', 'vicodin'); ?>">
                    </div>
                </div>
                <?php } ?>
            </div>
        </div>
                          
        <?php
		
		echo wp_kses_post($after_widget);
	}
	
	
	/** @see WP_Widget::update */
	function update($new_instance, $old_instance)
	{
		$instance = $old_instance;
		$instance['widget_img2'] = strip_tags($new_instance['widget_img2']);
		$instance['block_subtitle2'] = strip_tags($new_instance['block_subtitle2']);
		$instance['block_title2'] = strip_tags($new_instance['block_title2']);
		$instance['btn_title2'] = strip_tags($new_instance['btn_title2']);
		$instance['btn_link2'] = $new_instance['btn_link2'];
		
		return $instance;
	}

	/** @see WP_Widget::form */
	function form($instance)
	{
		
		$widget_img2 = ($instance) ? esc_attr($instance['widget_img2']) : 'http://themexriver.com/wp/vicodin/wp-content/uploads/2022/08/temp-2.png';
		$block_subtitle2 = ($instance) ? esc_attr($instance['block_subtitle2']) : '';
		$block_title2 = ($instance) ? esc_attr($instance['block_title2']) : '';
		$btn_title2 = ($instance) ? esc_attr($instance['btn_title2']) : '';
		$btn_link2 = ($instance) ? esc_attr($instance['btn_link2']) : '';
		
		?>
        
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('widget_img2')); ?>"><?php esc_html_e('Image Url:', 'vicodin'); ?></label>
            <input placeholder="<?php esc_attr_e('Image Url', 'vicodin');?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('widget_img2')); ?>" name="<?php echo esc_attr($this->get_field_name('widget_img2')); ?>" type="text" value="<?php echo esc_attr($widget_img2); ?>" />
        </p> 
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('block_subtitle2')); ?>"><?php esc_html_e('Discount Value/Sub Title:', 'vicodin'); ?></label>
            <input placeholder="<?php esc_attr_e('- 29% OFF', 'vicodin');?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('block_subtitle2')); ?>" name="<?php echo esc_attr($this->get_field_name('block_subtitle2')); ?>" type="text" value="<?php echo esc_attr($block_subtitle2); ?>" />
        </p> 
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('block_title2')); ?>"><?php esc_html_e('Title:', 'vicodin'); ?></label>
            <textarea class="widefat" id="<?php echo esc_attr($this->get_field_id('block_title2')); ?>" name="<?php echo esc_attr($this->get_field_name('block_title2')); ?>" ><?php echo wp_kses_post($block_title2); ?></textarea>
        </p>    
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('btn_title2')); ?>"><?php esc_html_e('Button Title:', 'vicodin'); ?></label>
            <input placeholder="<?php esc_attr_e('Buy Now', 'vicodin');?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('btn_title2')); ?>" name="<?php echo esc_attr($this->get_field_name('btn_title2')); ?>" type="text" value="<?php echo esc_attr($btn_title2); ?>" />
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('btn_link2')); ?>"><?php esc_html_e('Button Link:', 'vicodin'); ?></label>
            <input placeholder="<?php esc_attr_e('#', 'vicodin');?>" class="widefat" id="<?php echo esc_attr($this->get_field_id('btn_link2')); ?>" name="<?php echo esc_attr($this->get_field_name('btn_link2')); ?>" type="text" value="<?php echo esc_attr($btn_link2); ?>" />
        </p>
                
		<?php 
	}
	
}